Python… por donde empezar?

Bueno para los que como yo vienen de otros lenguajes de programacion y estan interesados en comenzar con Python creo que conseguir informacion no es lo dificil sino saber elegir.

IDE

En el campo de IDEs y editores de código gratuitos PyDEV (http://pydev.sourceforge.net/) se alza como cabeza de serie. PyDEV es un plu-gin para Eclipse que permite utilizar este IDE multiplataforma para programar en Python. Cuenta con autocompletado de código (con información sobre cada elemento), resaltado de sintaxis, un depurador gráfico, resaltado de errores, explorador de clases, formateo del código,
refactorización, etc. Sin duda es la opción más completa, sobre todo si instalamos las extensiones comerciales, aunque necesita de una canti-dad importante de memoria y no es del todo estable.
Otras opciones gratuitas a considerar son SPE o Stani’s Python Editor (http://sourceforge.net/projects/spe/), Eric (http://die-offenbachs.de/eric/), BOA Constructor (http://boa-constructor.sourceforge.net/) o incluso
emacs o vim.

Si no te importa desembolsar algo de dinero, Komodo (http://www.activestate.com/komodo_ide/) y Wing IDE (http://www.wingware.com/) son también muy buenas opciones, con montones de características interesantes, como PyDEV, pero mucho más estables y robustos. Además, si desarrollas software libre no comercial puedes contactar con Wing Ware y obtener, con un poco de suerte, una licencia gratuita para Wing IDE Professional.

Fuente “Python para todos” de Raul Gonzalez Duque.
http://mundogeek.net/tutorial-python/

Por mi lado, tomando la sugerencia de nuestro amigo Raul,  y dado que estoy familiarizado con Eclipse, creo que la mejor eleccion es PyDEV.

 

Instalacion de PyDEV

Linux – Ubuntu, en el caso de que tengan Ubuntu 8.04 esto es muy facil. Utilizando Synaptic Packet Manager, pueden descargar el paquete pyDev y automaticamente se instalara el IDE Eclipse y el SDK de Eclipse con todas las dependencias y plugins necesarios para pyDev. O desde consola:

sudo aptitude install eclipse-pydev

En cuanto al interprete, en el caso de Ubuntu 8.04 creo que viene por defecto. De no ser asi lo bajan de la misma manera:

sudo aptitude install python2.5

Para otras formas de instalacion pueden ir a http://begnu.wordpress.com/2007/09/26/pydev-python-eclipse/

 

Responder

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s